cannot update notes as explained in REST API example

2010-10-03 07:26 - Evgeny Ratnikov

Status: Closed Start date: 2010-10-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.2

Description

I try to update notes for issue 3888. I am using JSON only because there is an example with changing notes in Wiki: Rest_Issues.

I use curl:

curl -v -H "Content-Type:text.json" -X PUT --data "@/tmp/3888.json" -u evgeny:passwd http://redmin

e.komtex/issues/3888.json

File /tmp/3888.json contains:

{

    "issue": {

      "subject": "subject123" 

    },

    "notes": "Changing the subject" 

}

In my redmine log I see:

Processing IssuesController#update to json (for 127.0.0.1 at 2010-10-03 08:51:24) [PUT]

  Parameters: {"format"=>"json", "action"=>"update", "id"=>"3888", "controller"=>"issues"}

Completed in 49ms (View: 0, DB: 8) | 200 OK [http://localhost/issues/3888.json]

curl output is:

* About to connect() to redmine.komtex port 80 (#0)

*   Trying 10.1.90.220... connected

* Connected to redmine.komtex (10.1.90.220) port 80 (#0)

* Server auth using Basic with user 'evgeny'

> PUT /issues/3888.json HTTP/1.1

> Authorization: Basic ZXZnZW55OmZvcl9yZWRtaW5l

> User-Agent: curl/7.20.1 (i686-pc-linux-gnu) libcurl/7.20.1 OpenSSL/0.9.8n zlib/1.2.3 libidn/1.5

> Host: redmine.komtex

> Accept: */*

> Content-Type:text.json

> Content-Length: 88

> 

< HTTP/1.1 200 OK 

< Server: nginx/0.7.65

< Date: Sun, 03 Oct 2010 04:51:24 GMT

< Content-Type: application/json; charset=utf-8

< Connection: keep-alive

< X-Runtime: 49

< Content-Length: 1

< Cache-Control: private, max-age=0, must-revalidate

< Set-Cookie: _redmine_session=BAh7BjoPc2Vzc2lvbl9pZCIlYzQ1ZmUzNjUwNzRkNDJjMDgwZGFjOTk4MjZhOTU1ZWY

%3D--12171959dac14b7ae676d5819806dccb1d2aead6; path=/; HttpOnly

< 

* Connection #0 to host redmine.komtex left intact
* Closing connection #0

Issue 3888 is left unschanged: it has old subject and no new notes. The only thing changed is the phrase: "Updated 1 minute ago".    

mysql --version:

mysql  Ver 14.14 Distrib 5.1.41, for debian-linux-gnu (i486) using readline 6.1

ruby script/about fails because of:

/home/trac/redmine-1.0.2/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_ada

pter.rb:589:in `real_connect': Access denied for user 'root'@'localhost' (using password: NO) (Mys

ql::Error)

History

#1 - 2010-11-01 15:59 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

I'm going to look into the issues and projects APIs soon. I've heard a lot of reports that it's not working properly.

#2 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#3 - 2010-12-10 12:19 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Resolution set to Invalid

Eric Davis wrote:

I'm going to look into the issues and projects APIs soon. I've heard a lot of reports that it's not working properly.

 Well, the application log above shows that the problem is not on the API side. Params are not recognized by Rails.

Evgeny, use -H "Content-Type:application/json" and it will work much better.

#4 - 2012-05-15 17:30 - gourav swarnkar

Guys, any work around for this issue.

Please update.

#5 - 2012-05-16 07:49 - gourav swarnkar

- Status changed from Closed to Reopened

- Assignee set to Azamat Hackimov

Guys Please help me I am in big trouble.

Any fix for the notes updation.

#6 - 2012-05-16 10:21 - Etienne Massip

- Status changed from Reopened to Closed

- Assignee deleted (Azamat Hackimov)

This is not an actual issue; once Content-Type:application/json fixed, the command passed.

#7 - 2017-03-20 09:24 - Fazil Vadakkumpadath
May be you should move "notes" into "issue" block.
